
# # -*- coding: utf-8 -*-
#
# File: NavigationRootFolder.py
#
# Copyright (c) 2007 by ['Matthew Wilkes']
# Generator: ArchGenXML Version 2.0-alpha svn/development
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Matthew Wilkes <matthew@matthewwilkes.co.uk>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from zope import interface
from zope.interface import implements
from interfaces import INavigationRootFolder
try:
    from plone.app.layout.navigation.interfaces import INavigationRoot
except:
    from Products.CMFPlone.browser.interfaces import INavigationRoot
from Products.CMFDynamicViewFTI.browserdefault import BrowserDefaultMixin

from Products.ATContentTypes.content.folder import ATFolder
from Products.ATContentTypes.content.folder import ATFolderSchema
from Products.NavigationRootFolder.config import *

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

NavigationRootFolder_schema = ATFolderSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class NavigationRootFolder(ATFolder):
    """
    """
    security = ClassSecurityInfo()
    implements(INavigationRootFolder, INavigationRoot)
    meta_type = 'NavigationRootFolder'
    _at_rename_after_creation = True

    schema = NavigationRootFolder_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

registerType(NavigationRootFolder, PROJECTNAME)
# end of class NavigationRootFolder

##code-section module-footer #fill in your manual code here
##/code-section module-footer



